Module org.hdfgroup.hdfview
Package hdf.view.TableView

# Class DefaultBaseTableView.ColumnHeader

Object
org.eclipse.nebula.widgets.nattable.layer.AbstractLayer
org.eclipse.nebula.widgets.nattable.grid.layer.DimensionallyDependentLayer
org.eclipse.nebula.widgets.nattable.grid.layer.ColumnHeaderLayer
hdf.view.TableView.DefaultBaseTableView.ColumnHeader

All Implemented Interfaces:
  `org.eclipse.nebula.widgets.nattable.layer.ILayer`, `org.eclipse.nebula.widgets.nattable.layer.ILayerListener`, `org.eclipse.nebula.widgets.nattable.persistence.IPersistable`

Enclosing class:
  `DefaultBaseTableView`

protected class DefaultBaseTableView.ColumnHeader extends org.eclipse.nebula.widgets.nattable.grid.layer.ColumnHeaderLayer
An implementation of the table's Column Header which adapts to the current font.

- ## Field Summary

  ### Fields inherited from class org.eclipse.nebula.widgets.nattable.grid.layer.ColumnHeaderLayer

  `renameColumnHelper`

  ### Fields inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayer

  `commandHandlers, eventHandlers, eventHelperLock, layerPainter`

  ### Fields inherited from interface org.eclipse.nebula.widgets.nattable.persistence.IPersistable

  `DOT, VALUE_SEPARATOR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColumnHeader(org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer baseLayer, org.eclipse.nebula.widgets.nattable.layer.ILayer horizontalLayerDependency, org.eclipse.nebula.widgets.nattable.selection.SelectionLayer selectionLayer)`
  Create the ColumnHeader which adapts to the current font.

- ## Method Summary

  ### Methods inherited from class org.eclipse.nebula.widgets.nattable.grid.layer.ColumnHeaderLayer

  `getConfigLabelsByPosition, getDataValueByPosition, getDisplayModeByPosition, getOriginalColumnLabel, getRenamedColumnLabel, getRenamedColumnLabelByIndex, handleLayerEvent, isColumnRenamed, registerCommandHandlers, renameColumnIndex, renameColumnPosition`

  ### Methods inherited from class org.eclipse.nebula.widgets.nattable.grid.layer.DimensionallyDependentLayer

  `configure, doCommand, getBaseLayer, getClientAreaProvider, getColumnCount, getColumnIndexByPosition, getColumnPositionByX, getColumnWidthByPosition, getHeight, getHorizontalLayerDependency, getLayerPainter, getPreferredColumnCount, getPreferredHeight, getPreferredRowCount, getPreferredWidth, getRegionLabelsByXY, getRowCount, getRowHeightByPosition, getRowIndexByPosition, getRowPositionByY, getStartXOfColumnPosition, getStartYOfRowPosition, getUnderlyingLayerByPosition, getUnderlyingLayersByColumnPosition, getUnderlyingLayersByRowPosition, getVerticalLayerDependency, getWidth, isColumnPositionResizable, isRowPositionResizable, loadState, localToUnderlyingColumnPosition, localToUnderlyingRowPosition, saveState, setClientAreaProvider, setHorizontalLayerDependency, setVerticalLayerDependency, underlyingToLocalColumnPosition, underlyingToLocalColumnPositions, underlyingToLocalRowPosition, underlyingToLocalRowPositions`

  ### Methods inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayer

  `addConfiguration, addLayerListener, clearConfiguration, dispose, fireLayerEvent, getBoundsByPosition, getCellByPosition, getCellPainter, getConfigLabelAccumulator, getProvidedLabels, getRegionName, hasLayerListener, isDynamicSizeLayer, registerCommandHandler, registerEventHandler, registerPersistable, removeLayerListener, setConfigLabelAccumulator, setLayerPainter, setRegionName, toString, unregisterCommandHandler, unregisterEventHandler, unregisterPersistable`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ColumnHeader

    public ColumnHeader(org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer baseLayer, org.eclipse.nebula.widgets.nattable.layer.ILayer horizontalLayerDependency, org.eclipse.nebula.widgets.nattable.selection.SelectionLayer selectionLayer)
    Create the ColumnHeader which adapts to the current font.
    Parameters:
      `baseLayer` - the base layer
      `horizontalLayerDependency` - the horizontal layer dependency
      `selectionLayer` - the selection layer